Flow Group Assignments
Creates a flow group assignment that defines which document collections a flow group runs against within a project.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Body
flowGroupObjectIdentifierstring · uuidOptional
Responses
201
Created
objectIdentifierstring · uuidOptional
flowGroupObjectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
401
Unauthorized
403
Forbidden
409
Conflict
post/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments
POST /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192
{
"flowGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"collections": [
{
"name": "text",
"useAllDocuments": true,
"documentObjectIdentifiers": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
]
}{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"flowGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"collections": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"useAllDocuments": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"entries": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z"
}
]
}
]
}Returns how many flow group assignments are currently active for the specified flow.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
flowObjectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200
OK
integer · int32Optional
401
Unauthorized
403
Forbidden
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments/active-assignments
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments/active-assignments HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
1Returns the details of a single flow group assignment, including its configured document collections.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
flowObjectIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidOptional
flowGroupObjectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
401
Unauthorized
403
Forbidden
get/projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments/{objectIdentifier}
GET /projects/{projectIdentifier}/flows/{flowObjectIdentifier}/flow-group-assignments/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"flowGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"collections": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"useAllDocuments": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"entries": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z"
}
]
}
]
}Last updated
